VGCFGRESTORE(8)

NAME
vgcfgrestore - restore volume group descriptor area

SYNOPSIS
vgcfgrestore [-d|--debug] [-f|--file filename] [-l[l]|--list[--list]] [-h|--help] [-M|--Metadatatype1|2] [-n|--name VolumeGroupName] [-t|--test] [-v|--verbose] [VolumeGroupName...]

DESCRIPTION
vgcfgrestore allows you to restore the metadata of your volume groups from a text backup file produced by vgcfgbackup.

OPTIONS
See lvm for common options.

REPLACING PHYSICAL VOLUMES
vgdisplay --partial --verbose will show you the UUIDs and sizes of any PVs that are no longer present. If a PV in the VG is lost and you wish to substitute another of the same size, use pvcreate --restorefile filename --uuid uuid (plus additional arguments as appropriate) to initialise it with the same UUID as the missing PV. Repeat for all other missing PVs in the VG. Then use vgcfgrestore --file filename to restore the volume group's metadata.

SEE ALSO
lvm(8), vgcreate(8)